﻿/* tags básicas */

* { outline: none; -webkit-tap-highlight-color: transparent; }
html { -ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%; scroll-behavior: smooth; }
body { font-family: "Plus Jakarta Sans", sans-serif; color: #333333; font-size: 16px; margin: 0; padding: 0; letter-spacing:-0.1px;
        -webkit-font-smoothing: antialiased; -webkit-print-color-adjust: exact; font-optical-sizing: auto; text-rendering: optimizeLegibility; }
a { text-decoration: none; color: #333333; }
input, textarea, select { font-family: "Plus Jakarta Sans", sans-serif; }
button { cursor: pointer; border-radius: 4px; }
table { border-collapse: collapse; border-spacing: 0; }
img { max-width: 100%; display: block; margin: 0; padding: 0; }
article a:hover h2 { text-decoration: underline; }
article a:hover h3 { text-decoration: underline; }

/* centralizacao */
.central { max-width: 1340px; margin: 0 auto; box-sizing: border-box; min-width: 300px; width: 100%; }

/* sombra */
.sombra { box-shadow: 0 0.3px 0.9px rgba(0,0,0,.108), 0 1.6px 3.6px rgba(0,0,0,.132); }
.sombra-vertical { -webkit-box-shadow: 0px 5px 15px 0px rgba(0,0,0,0.44); -moz-box-shadow: 0px 5px 15px 0px rgba(0,0,0,0.44); box-shadow: 0px 5px 15px 0px rgba(0,0,0,0.44); }
.sombra-item { -webkit-box-shadow: 1px 1px 7px -2px rgba(0,0,0,0.44); -moz-box-shadow: 1px 1px 7px -2px rgba(0,0,0,0.44); box-shadow: 1px 1px 7px -2px rgba(0,0,0,0.44); }
.sombra-horizontal { -webkit-box-shadow: -11px 0px 5px -4px rgba(0,0,0,0.75); -moz-box-shadow: -11px 0px 5px -4px rgba(0,0,0,0.75); box-shadow: -11px 0px 5px -4px rgba(0,0,0,0.75); }

/* pagina */
.pagina { padding: 150px 0 30px 0; display: flex; flex-direction: column; gap: 30px; min-width: 340px; }
.pagina .caixa:empty { display: none; }
#overlay { position: fixed; top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.6); z-index: 10; transition: all ease 0.4s }

/* margens e espacamentos */
.mgT0 { margin-top: 0 !important; }
.mgB0 { margin-bottom: 0; }
.mgB40 { margin-bottom: 40px; }
.mgR0 { margin-right: 0; }
.mgL0 { margin-left: 0; }

/* erro */
.erro-comentario { padding: 20px; text-align: center; display: flex; gap: 5px; flex-direction: column; justify-content: center; background: #bb2020; color: #FFF; margin: 15px 0 15px 87px; }
.erro-comentario strong { font-size: 20px; font-weight: 900; }
.erro-comentario p { margin: 0; }

/* agradecimento */
.agradecimento { padding: 20px; text-align: center; display: flex; gap: 5px; flex-direction: column; justify-content: center; background: #fff3f3; margin: 15px 0 15px 87px; }
.agradecimento strong { font-size: 20px; font-weight: 900; }
.agradecimento p { margin: 0; }

/* visualização */
.oculto { display: none; }
.flex { display: flex; }
.flex10 { display: flex; gap: 10px; }

/* busca datatable */
div.dt-container .dt-search input { width: 100%; }

/* alerta generico */
div.alerta { padding: 10px 10px 10px 45px; display: flex; flex-direction: column; gap: 0; border-radius: 4px; }
div.alerta .titulo { font-weight: bold; font-size: 18px; margin-bottom: 5px; }
div.alerta .descricao { line-height: 20px; }
div.alerta.sucesso { color: #1c570b; border: 1px solid #1c570b; background: url(../imagens/sucesso.svg) 10px center no-repeat #edfae9; }
div.alerta.aviso { color: #bf8e39; border: 1px solid #bf8e39; background: url(../imagens/aviso.svg) 10px center no-repeat #f8f4ee; }
div.alerta.erro { color: #bb2020; border: 1px solid #bb2020; background: url(../imagens/erro.svg) 10px center no-repeat #faf1f1; }

/* validacao formularios */
.just-validate-error-field { border: 1px solid #b30500 !important; }
.just-validate-error-label { color: #b30500; font-size: 14px !important; }


/* carrossel */
.owl-carousel, .owl-carousel .owl-item { -webkit-tap-highlight-color: transparent; position: relative }
.owl-carousel { display: none; width: 100%; z-index: 1 }
.owl-carousel .owl-stage { position: relative; -ms-touch-action: pan-Y; touch-action: manipulation; -moz-backface-visibility: hidden }
.owl-carousel .owl-stage:after { content: "."; display: block; clear: both; visibility: hidden; line-height: 0; height: 0 }
.owl-carousel .owl-stage-outer { position: relative; overflow: hidden; -webkit-transform: translate3d(0,0,0) }
.owl-carousel .owl-item, .owl-carousel .owl-wrapper { -webkit-backface-visibility: hidden; -moz-backface-visibility: hidden; -ms-backface-visibility: hidden; -webkit-transform: translate3d(0,0,0); -moz-transform: translate3d(0,0,0); -ms-transform: translate3d(0,0,0) }
.owl-carousel .owl-item { min-height: 1px; float: left; -webkit-backface-visibility: hidden; -webkit-touch-callout: none }
.owl-carousel .owl-item img { display: block; width: 100% }
.owl-carousel .owl-dots.disabled, .owl-carousel .owl-nav.disabled { display: none }
.no-js .owl-carousel, .owl-carousel.owl-loaded { display: block }
.owl-carousel .owl-dot, .owl-carousel .owl-nav .owl-next, .owl-carousel .owl-nav .owl-prev { cursor: pointer; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none }
.owl-carousel .owl-nav button.owl-next, .owl-carousel .owl-nav button.owl-prev, .owl-carousel button.owl-dot { background: 0 0; color: inherit; border: none; padding: 0 !important; font: inherit }
.owl-carousel.owl-loading { opacity: 0; display: block }
.owl-carousel.owl-hidden { opacity: 0 }
.owl-carousel.owl-refresh .owl-item { visibility: hidden }
.owl-carousel.owl-drag .owl-item { -ms-touch-action: pan-y; touch-action: pan-y; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none }
.owl-carousel.owl-grab { cursor: move; cursor: grab }
.owl-carousel.owl-rtl { direction: rtl }
.owl-carousel.owl-rtl .owl-item { float: right }
.owl-carousel .animated { animation-duration: 1s; animation-fill-mode: both }
.owl-carousel .owl-animated-in { z-index: 0 }
.owl-carousel .owl-animated-out { z-index: 1 }
.owl-carousel .fadeOut { animation-name: fadeOut }
@keyframes fadeOut { 0% { opacity: 1 } 100% { opacity: 0 }}
.owl-height { transition: height .5s ease-in-out }
.owl-carousel .owl-item .owl-lazy { opacity: 0; transition: opacity .4s ease }
.owl-carousel .owl-item .owl-lazy:not([src]), .owl-carousel .owl-item .owl-lazy[src^=""] { max-height: 0 }
.owl-carousel .owl-item img.owl-lazy { transform-style: preserve-3d }
.owl-carousel .owl-video-wrapper { position: relative; height: 100%; background: #000 }
.owl-carousel .owl-video-play-icon { position: absolute; height: 80px; width: 80px; left: 50%; top: 50%; margin-left: -40px; margin-top: -40px; background: url(owl.video.play.png) no-repeat; cursor: pointer; z-index: 1; -webkit-backface-visibility: hidden; transition: transform .1s ease }
.owl-carousel .owl-video-play-icon:hover { -ms-transform: scale(1.3,1.3); transform: scale(1.3,1.3) }
.owl-carousel .owl-video-playing .owl-video-play-icon, .owl-carousel .owl-video-playing .owl-video-tn { display: none }
.owl-carousel .owl-video-tn { opacity: 0; height: 100%; background-position: center center; background-repeat: no-repeat; background-size: contain; transition: opacity .4s ease }
.owl-carousel .owl-video-frame { position: relative; z-index: 1; height: 100%; width: 100% }
.owl-theme .owl-dots, .owl-theme .owl-nav { text-align: center; -webkit-tap-highlight-color: transparent }
.owl-theme .owl-nav { margin-top: 10px }
.owl-theme .owl-nav [class*=owl-] { color: #FFF; font-size: 14px; margin: 5px; padding: 4px 7px; background: #D6D6D6; display: inline-block; cursor: pointer; border-radius: 3px }
.owl-theme .owl-nav [class*=owl-]:hover { background: #869791; color: #FFF; text-decoration: none }
.owl-theme .owl-nav .disabled { opacity: .5; cursor: default }
.owl-theme .owl-nav.disabled + .owl-dots { margin-top: 10px }
.owl-theme .owl-dots .owl-dot { display: inline-block; zoom: 1 }
.owl-theme .owl-dots .owl-dot span { width: 10px; height: 10px; margin: 5px 7px; background: #D6D6D6; display: block; -webkit-backface-visibility: visible; transition: opacity .2s ease; border-radius: 30px }
.owl-theme .owl-dots .owl-dot.active span, .owl-theme .owl-dots .owl-dot:hover span { background: #869791 }


/* responsividade */
@media (max-width: 1400px) {
    .central { padding-left: 30px; padding-right: 30px; }
}

@media (max-width: 1210px) {
    .pagina { padding-top: 100px; }
}

@media (max-width: 650px) {
    .central { padding-left: 20px; padding-right: 20px; }
}
